com.pivotal.gemfirexd.internal.client.am

## Class ClobWriter

- java.lang.Object
- - java.io.Writer
  - - com.pivotal.gemfirexd.internal.client.am.ClobWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public class ClobWriter
    extends Writer

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`ClobWriter()`
`ClobWriter(Clob clob, long offset)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(char[] cbuf, int off, int len)`
`void` `write(int c)`
`void` `write(String str)`
`void` `write(String str, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClobWriter

    public ClobWriter()

#### ClobWriter

    public ClobWriter(Clob clob,
              long offset)
               throws SqlException

Throws:
  `SqlException`

### Method Detail

#### write

    public void write(int c)

Overrides:
  `write` in class `Writer`

#### write

    public void write(char[] cbuf,
             int off,
             int len)

Specified by:
  `write` in class `Writer`

#### write

    public void write(String str)

Overrides:
  `write` in class `Writer`

#### write

    public void write(String str,
             int off,
             int len)

Overrides:
  `write` in class `Writer`

#### flush

    public void flush()

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `Writer`
Throws:
  `IOException`